Name:           bpytop
Version:        1.0.3
Release:        1%{?dist}
Summary:        Linux/OSX/FreeBSD resource monitor 
BuildArch:      noarch

License:        ASL 2.0
URL:            https://github.com/aristocratos/bpytop
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       python3 >= 3.6
Requires:       python3-psutil

%description
Resource monitor that shows usage and stats for processor, memory, disks,
network and processes.

Python port of bashtop.

Features:

- Easy to use, with a game inspired menu system.
- Full mouse support, all buttons with a highlighted key is clickable and mouse
  scroll works in process list and menu boxes.
- Fast and responsive UI with UP, DOWN keys process selection.
- Function for showing detailed stats for selected process.
- Ability to filter processes, multiple filters can be entered.
- Easy switching between sorting options.
- Send SIGTERM, SIGKILL, SIGINT to selected process.
- UI menu for changing all config file options.
- Auto scaling graph for network usage.
- Shows message in menu if new version is available
- Shows current read and write speeds for disks


%prep
%autosetup -p1


%build
%make_build


%install
%make_install PREFIX=%{_prefix}
rm %{buildroot}%{_datadir}/%{name}/doc/README.md


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
* Wed Aug 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.3-1
- Update to 1.0.3

* Tue Aug 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.2-2
- Initial package
